---
description: FAQs on Docker subscriptions
keywords: Docker, Docker Hub, subscription FAQs, subscription, platform
title: Subscription FAQs
---

### I want to buy a large number of Docker Business subscription seats. How do I do this? Can I get a discount?

Docker offers volume pricing for Docker Business subscriptions starting at 25 seats. Contact the [Docker Sales Team](https://www.docker.com/pricing/contact-sales/) for more information.

### How do I access support? What level of support do I get for my subscription?

All Docker Pro, Team, and Business subscribers receive email support for their subscriptions. Additional premium support is available for Docker Business customers. [Contact sales](https://www.docker.com/pricing/contact-sales/) for more information about premium support programs.

### Is Docker Scout included with my Docker Subscription?

If you have a Docker subscription, you automatically have access to a Docker Scout Free subscription. This lets you enable Docker Scout on up to 3 repositories. To enable Docker Scout for additional repositories, you can [upgrade your plan](../billing/scout-billing.md).

### Do I need to do anything at the end of my subscription term?

No. All monthly and annual subscriptions are automatically renewed at the end of the term using the original form of payment.

### What happens if I pay for an annual subscription and add more seats later?

When you add seats to your plan in the middle of your billing cycle, you're charged a prorated amount for the additional seats.

### What happens to my collaborators when I move to a Personal subscription?

Personal subscriptions don't include collaborators for private repositories. If you have collaborators when you move to a Personal subscription from a paid subscription you need to remove all collaborators. If you haven't removed collaborators within 30 days of moving to a free plan, all collaborators are automatically removed from your account.

### How do I know what new features are in planning for my Docker Pro or Docker Team subscription?

Docker maintains a [public roadmap](https://github.com/docker/roadmap) so subscribers can see what new features are in development, as well as request new capabilities.

### Can I pause or delay my Docker subscription?

You can't pause or delay a subscription. If a subscription invoice hasn't been paid on the due date, there's a 15 day grace period, including the due date.

### Can I transfer my subscription from one user or organization account to another?

Subscriptions are non-transferable.

### I have more questions regarding pricing, who can I reach out to?

If you have any questions that aren't covered here, [reach out](https://www.docker.com/company/contact) and a member of the Docker team will get back to you.

### Does Docker offer academic pricing?

Contact the [Docker Sales Team](https://www.docker.com/company/contact).

### What ways can I contribute to Docker content?

Docker offers two programs:
- [Docker-Sponsored Open Source Program (DSOS)](../trusted-content/dsos-program.md)
- [Docker Verified Publisher (DVP)](../trusted-content/dvp-program.md)

You can also join the [Developer Preview Program](https://www.docker.com/community/get-involved/developer-preview/) or sign up for early access programs for specific products to participate in research and try out new features.
